/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: block;
  width: 100%;

  &:empty {
    display: none;
  }
}

.placeholder {
  padding: 1em;
  font-style: italic;
}

.map {
  width: 100%;
  height: 30em;
  padding: 1em;
  box-sizing: border-box;
}
